EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'CustomLanguages_DeleteLanguage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a custom language.'
GO

IF OBJECT_ID('[CustomLanguages_DeleteLanguage]') IS NOT NULL DROP PROCEDURE [CustomLanguages_DeleteLanguage]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [CustomLanguages_DeleteLanguage]
(
	@CustomLanguage_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [CustomLanguages]
	 WHERE [CustomLanguage_Id] = @CustomLanguage_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [CustomLanguages_DeleteLanguage] TO [ProGetUser_Role]
GO