EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerBlobs_GetUploads',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DockerBlobUploads',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the Docker blob uploads currently in progress.'
GO

IF OBJECT_ID('[DockerBlobs_GetUploads]') IS NOT NULL DROP PROCEDURE [DockerBlobs_GetUploads]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerBlobs_GetUploads]
(
	@Feed_Id INT = NULL,
	@Upload_Id VARCHAR(50) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerBlobUploads]
	 WHERE (@Feed_Id IS NULL OR [Feed_Id] = @Feed_Id)
	   AND (@Upload_Id IS NULL OR [Upload_Id] = @Upload_Id)

END
GO

GRANT EXECUTE ON [DockerBlobs_GetUploads] TO [ProGetUser_Role]
GO