EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetPotentialBaseImages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'DockerImages_PotentialBaseImages,DockerRepositoryTags_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets potential Docker base images for an image.'
GO

IF OBJECT_ID('[DockerImages_GetPotentialBaseImages]') IS NOT NULL DROP PROCEDURE [DockerImages_GetPotentialBaseImages]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetPotentialBaseImages]
(
	@DockerImage_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  INTO #images
	  FROM [DockerImages_PotentialBaseImages]
	 WHERE [DockerImage_Id] = @DockerImage_Id

	SELECT * FROM #images
	 ORDER BY [Max_LayerMatch_Sequence]

	SELECT *
	  FROM [DockerRepositoryTags_Extended] DRT
	 WHERE [DockerImage_Id] IN (SELECT [Base_DockerImage_Id] FROM #images)


END
GO

GRANT EXECUTE ON [DockerImages_GetPotentialBaseImages] TO [ProGetUser_Role]
GO