EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'EventOccurrences_GetOccurrences',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'EventOccurrences',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all event occurrences, optionally filtered by feed.'
GO

IF OBJECT_ID('[EventOccurrences_GetOccurrences]') IS NOT NULL DROP PROCEDURE [EventOccurrences_GetOccurrences]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO


CREATE PROCEDURE [EventOccurrences_GetOccurrences]
(
	@Feed_Id INT = NULL,
	@User_Name VARCHAR(255) = NULL,
	@Count INT = 0
)
AS
BEGIN

SET NOCOUNT ON
SET QUOTED_IDENTIFIER ON

	SET ROWCOUNT @Count

	SELECT *
	  FROM [EventOccurrences]
	 WHERE (@Feed_Id IS NULL OR [Feed_Id] = @Feed_Id)
	   AND (@User_Name IS NULL OR [User_Name] = @User_Name)
	 ORDER BY [EventOccurrence_Id] DESC

	SET ROWCOUNT 0

END
GO

GRANT EXECUTE ON [EventOccurrences_GetOccurrences] TO [ProGetUser_Role]