EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ScheduledTasks_CreateScheduledTask',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Creates a new scheduled task.'
GO

IF OBJECT_ID('[ScheduledTasks_CreateScheduledTask]') IS NOT NULL DROP PROCEDURE [ScheduledTasks_CreateScheduledTask]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ScheduledTasks_CreateScheduledTask]
(
	@ScheduledTaskType_Code VARCHAR(50),
	@CronExpression_Text VARCHAR(50),
	@Active_Indicator YNINDICATOR,
	@Feed_Id INT = NULL,
	@Connector_Id INT = NULL,
	@ScheduledTask_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	INSERT INTO [ScheduledTasks]
	(
		[ScheduledTaskType_Code],
		[Feed_Id],
		[CronExpression_Text],
		[Active_Indicator],
		[Connector_Id]
	)
	VALUES
	(
		@ScheduledTaskType_Code,
		@Feed_Id,
		@CronExpression_Text,
		@Active_Indicator,
		@Connector_Id
	)

	SET @ScheduledTask_Id = SCOPE_IDENTITY()

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [ScheduledTasks_CreateScheduledTask] TO [ProGetUser_Role]
GO